# Class ApiError

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an api_error response from the Anthropic API.

    public class ApiError : Error

Inheritance
  object
  Error
  ApiError

Inherited Members
  Error.Type
  Error.Message
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ApiError(string)

Initializes a new instance of the ApiError class.

    public ApiError(string message)

#### Parameters

`message` string

  The error message.